Control: severity -1 important

On വെള്ളി 06 ജനുവരി 2017 04:07 വൈകു, Bastien ROUCARIES wrote:
> Using grunt for node-sprintf-js I get
> 
> Fatal error: Unable to find local grunt.
> 
> If you're seeing this message, grunt hasn't been installed locally to
> your project. For more information about installing and configuring grunt,
> please see the Getting Started guide:
> 
> http://gruntjs.com/getting-started
> 
> Thus it unusable
> 

This is the default behavior of grunt and the upstream is unwilling to
change this behaviour. To use it for building packages in debian, you
have to patch Gruntfile.js.

Patches welcome to make grunt look for global tasks by default. You can
see packages like node-fuzzaldrin-plus for the patch.

https://anonscm.debian.org/cgit/pkg-javascript/node-fuzzaldrin-plus.git/tree/debian/patches/use-global-tasks.patch

Attachment: signature.asc
Description: OpenPGP digital signature

-- 
Pkg-javascript-devel mailing list
Pkg-javascript-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-javascript-devel

Reply via email to